Last Comment Bug 764237 - Compile of XULRunner fails - 'strcasecmp': identifier not found, 'snprintf': identifier not found
: Compile of XULRunner fails - 'strcasecmp': identifier not found, 'snprintf': ...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- normal (vote)
: mozilla16
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on:
Blocks: 756786
  Show dependency treegraph
 
Reported: 2012-06-12 18:53 PDT by Nick Thomas [:nthomas]
Modified: 2012-06-19 13:41 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
fixed
fixed


Attachments
Add snprintf and strcasecmp definitions in nsXULRunnerApp.cpp for windows (983 bytes, patch)
2012-06-12 22:01 PDT, Mike Hommey [:glandium]
benjamin: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Review

Description Nick Thomas [:nthomas] 2012-06-12 18:53:21 PDT
From http://ftp.mozilla.org/pub/mozilla.org/xulrunner/nightly/14.0b7-candidates/build1/logs/release-mozilla-beta-xulrunner_win32_build-bm13-build1-build6.txt.gz
which is building FIREFOX_14_0b7_RELEASE out of the mozilla-beta repo:

make -C xulrunner libs
make[5]: Entering directory `/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/obj-firefox/xulrunner'
make[6]: Entering directory `/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/obj-firefox/xulrunner/app'
nsXULRunnerApp.cpp
d:/mozilla-build/python25/python2.5.exe -O e:/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/build/cl.py cl -FonsXULRunnerApp.obj -c   -DAB_CD=en-US -DXULRUNNER_PROGNAME=\"xulrunner\" -DTARGET_XPCOM_ABI=\"x86-msvc\" -DXPCOM_GLUE -DMOZ_WINCONSOLE=0 -DOSTYPE=\"WINNT5.2\" -DOSARCH=WINNT -DXULRUNNER_ICO=\"../../dist/branding/xulrunner.ico\" -DDOCUMENT_ICO=\"../../dist/branding/document.ico\" -I/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/toolkit/xre -I/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/toolkit/profile -I/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/xpcom/base -I/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/xpcom/build  -I/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/xulrunner/app -I. -I../../dist/include -I../../dist/include/nsprpub  -Ie:/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/obj-firefox/dist/include/nspr -Ie:/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/obj-firefox/dist/include/nss        -TP -nologo -W3 -Gy -Fdgenerated.pdb -wd4800 -we4553  -DNDEBUG -DTRIMMED -Zi -UDEBUG -DNDEBUG -O1 -Oy -MD            -FI ../../dist/include/mozilla-config.h -DMOZILLA_CLIENT /e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/xulrunner/app/nsXULRunnerApp.cpp
nsXULRunnerApp.cpp

e:/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/xulrunner/app/nsXULRunnerApp.cpp(112) : error C3861: 'strcasecmp': identifier not found

e:/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/xulrunner/app/nsXULRunnerApp.cpp(117) : error C3861: 'strcasecmp': identifier not found

e:/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/xulrunner/app/nsXULRunnerApp.cpp(401) : error C3861: 'snprintf': identifier not found

make[6]: Leaving directory `/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/obj-firefox/xulrunner/app'
make[5]: Leaving directory `/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/obj-firefox/xulrunner'
make[4]: Leaving directory `/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/obj-firefox'
make[3]: Leaving directory `/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/obj-firefox'
make[2]: Leaving directory `/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build/obj-firefox'
make[1]: Leaving directory `/e/builds/moz2_slave/rel-m-beta-xr-w32-bld/build'
make[6]: *** [nsXULRunnerApp.obj] Error 2
make[5]: *** [app_libs] Error 2
make[4]: *** [libs_tier_app] Error 2
make[3]: *** [tier_app] Error 2
make[2]: *** [default] Error 2
make[1]: *** [realbuild] Error 2
make: *** [build] Error 2

We didn't have this problem on FIREFOX_14_0b6_RELEASE (which happened to use the same slave).
Comment 1 Nick Thomas [:nthomas] 2012-06-12 20:00:51 PDT
Bug 756786 is the only change in xulrunner/ between b6 and b7. 

Requesting tracking-firefox14 since this impacts on people who use the XULRunner SDK to create addons.
Comment 2 Mike Hommey [:glandium] 2012-06-12 22:01:57 PDT
Created attachment 632544 [details] [diff] [review]
Add snprintf and strcasecmp definitions in nsXULRunnerApp.cpp for windows

That's an overlook from bug 764237. These are defined in nsBrowserApp.cpp. Removing duplicate #includes at the same time.
Comment 3 Nick Thomas [:nthomas] 2012-06-13 15:08:52 PDT
Looks like this needs to go on central, aurora and beta, based on the contents of the dirs like
 http://ftp.mozilla.org/pub/mozilla.org/xulrunner/nightly/latest-mozilla-aurora/
and comments in bug 756786.
Comment 4 Mike Hommey [:glandium] 2012-06-13 23:18:25 PDT
https://hg.mozilla.org/mozilla-central/rev/3f408698a03f
Comment 5 Mike Hommey [:glandium] 2012-06-14 08:03:21 PDT
Comment on attachment 632544 [details] [diff] [review]
Add snprintf and strcasecmp definitions in nsXULRunnerApp.cpp for windows

[Approval Request Comment]
Bug caused by bug 756786
User impact if declined: xulrunner is not built on windows since bug 756786 landing.
Testing completed (on m-c, etc.): latest xulrunner nightly built successfully on all platforms
Risk to taking this patch (and alternatives if risky): Only applies to xulrunner, and only to windows code, so the worst case scenario would be failing to fix xulrunner.
String or UUID changes made by this patch: none
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2012-06-15 15:42:00 PDT
Comment on attachment 632544 [details] [diff] [review]
Add snprintf and strcasecmp definitions in nsXULRunnerApp.cpp for windows

[Triage Comment]
Approving as this will only affect xulrunner builds if there are any followup issues.
Comment 7 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-18 11:46:56 PDT
Did this get landed for aurora and beta?
Comment 8 Mike Hommey [:glandium] 2012-06-18 22:51:19 PDT
Not yet, I'm going to.
Comment 10 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-19 13:41:55 PDT
Thanks glandium.

Note You need to log in before you can comment on or make changes to this bug.